local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onTalk()

    if getFlag("toast3") then
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_toast3"))
        enableMovement()
    end

    if getFlag("toast2") then
        setFlag("toast2", false)
        setFlag("toast3")
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_toast2"))
        enableMovement()
    end

    if not getFlag("toast2") and not getFlag("toast3") then
        setFlag("toast2")
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_toast1"))
        enableMovement()
    end

end